import { Component } from 'react'
import tool from './common/tool'
import Taro, { getCurrentInstance } from '@tarojs/taro'
import './app.less'

class App extends Component {
  $instance = getCurrentInstance()
  componentDidMount () { }

  componentDidShow () {
    console.log('app启动');
    if (!Taro.getStorageSync('session_key')) {
      tool.toLogin();
    }
  }
  onLaunch () {
    // if (wx.getStorageSync('channel_name') == '') {
    //   wx.setStorageSync('channel_name', "channel_name")
    // }

    // 保持屏幕常亮
    Taro.setKeepScreenOn({
      keepScreenOn: true
    })
    // 获取路由参数
    let params = this.$instance.router.params
    console.log(params, 'params');
    let item = params
    if (params.channel_name) {
      Taro.setStorageSync('channel_name', item.channel_name)
    }
    if (params.source_name) {
      Taro.setStorageSync('source_name', item.source_name)
    }

    Taro.setKeepScreenOn({
      keepScreenOn: true
    })




  }

  componentDidHide () { }

  render () {
    // this.props.children 是将要会渲染的页面
    return this.props.children
  }
}

export default App
